.SH "GENERAL TROUBLESHOOTING"
Most often, IPMI problems are due to configuration problems.  Inband
IPMI problems are typically caused by improperly configured drivers or
non-standard BMCs.  IPMI over LAN problems involve a misconfiguration
of the remote machine's BMC.  Double check to make sure the following
are configured properly in the remote machine's BMC: IP address, MAC
address, subnet mask, username, user enablement, user privilege,
password, LAN privilege, LAN enablement, and allowed authentication
type(s).  For IPMI 2.0 connections, double check to make sure the
cipher suite privilege(s) and K_g key are configured properly.  The
.B bmc-config(8)
tool can be used to check and/or change these configuration
settings.
.LP
The following are common issues for given error messages:
.LP
"username invalid" - The username entered (or a NULL username if none
was entered) is not available on the remote machine.  It may also be
possible the remote BMC's username configuration is incorrect.
.LP
"password invalid" - The password entered (or a NULL password if none
was entered) is not correct.  It may also be possible the password for
the user is not correctly configured on the remote BMC.
.LP
"password verification timeout" - Password verification has timed out.
A "password invalid" error (described above) or a generic "session
timeout" (described below) occurred.  During this point in the
protocol it cannot be differentiated which occurred.
.LP
"k_g invalid" - The K_g key entered (or a NULL K_g key if none was
entered) is not correct.  It may also be possible the K_g key is not
correctly configured on the remote BMC.
.LP
"privilege level insufficient" - An IPMI command requires a higher
user privilege than the one authenticated with.  Please try to
authenticate with a higher privilege.  This may require authenticating
to a different user which has a higher maximum privilege.
.LP
"privilege level cannot be obtained for this user" - The privilege
level you are attempting to authenticate with is higher than the
maximum allowed for this user.  Please try again with a lower
privilege.  It may also be possible the maximum privilege level
allowed for a user is not configured properly on the remote BMC.
.LP
"authentication type unavailable for attempted privilege level" - The
authentication type you wish to authenticate with is not available for
this privilege level.  Please try again with an alternate
authentication type or alternate privilege level.  It may also be
possible the available authentication types you can authenticate with
are not correctly configured on the remote BMC.
.LP
"cipher suite id unavailable" - The cipher suite id you wish to
authenticate with is not available on the remote BMC.  Please try
again with an alternate cipher suite id.  It may also be possible the
available cipher suite ids are not correctly configured on the remote
BMC.
.LP
"ipmi 2.0 unavailable" - IPMI 2.0 was not discovered on the remote
machine.  Please try to use IPMI 1.5 instead.
.LP
"connection timeout" - Initial IPMI communication failed.  A number of
potential errors are possible, including an invalid hostname
specified, an IPMI IP address cannot be resolved, IPMI is not enabled
on the remote server, the network connection is bad, etc.  Please
verify configuration and connectivity.
.LP
"session timeout" - The IPMI session has timed out.  Please reconnect.
If this error occurs often, you may wish to increase the
retransmission timeout.  Some remote BMCs are considerably slower than
others.
.LP
"device not found" - The specified device could not be found.  Please
check configuration or inputs and try again.
.LP
"driver timeout" - Communication with the driver or device has timed
out.  Please try again.
.LP
"message timeout" - Communication with the driver or device has timed
out.  Please try again.
.LP
"BMC busy" - The BMC is currently busy.  It may be processing
information or have too many simultaneous sessions to manage.  Please
wait and try again.
.LP
"could not find inband device" - An inband device could not be found.
Please check configuration or specify specific device or driver on the
command line.
.LP
"driver timeout" - The inband driver has timed out communicating to
the local BMC or service processor.  The BMC or service processor may
be busy or (worst case) possibly non-functioning.
.LP
Please see WORKAROUNDS below to also if there are any vendor specific
bugs that have been discovered and worked around.

